//
//  SmashViewController.h
//  Smash
//
//  Created by aka on 08/12/22.
//  Copyright Masayuki Akamatsu 2008. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AudioToolbox/AudioServices.h>
#import "GameKitHelper.h"

#define	kXOffset	350	// ２つめの空間の左端のX座標	// 追加

@interface SmashViewController : UIViewController
			<GameKitHelperDataDelegate> // 追加
{
	IBOutlet UIButton	*target;	// 目標（UFO）
	SystemSoundID		soundID;	// 効果音
	
	IBOutlet UIView		*localSpaceView;	// ローカル空間を定義 // 追加
	int					xOffset;			// ローカル空間でのX座標のオフセット	// 追加
}

- (IBAction)smash;						// UFOがタッチされた時
- (void)move:(NSTimer *)timer;			// タイマーから呼び出される
- (void)locateAtX:(int)x andY:(int)y;	// UFOを指定した位置に移動させる	// 追加

@end

